package kcg.faics.fa.vo;

import java.util.Date;

/**
 * 교육현황 VO.
 * 
 * @author kimnomin
 *
 */
public class EduVO {
	/**
	 * 식벌자.
	 */
	private int idx;
	/**
	 * 성명.
	 */
	private String name;
	/**
	 * 교육시작일.
	 */
	private String stdate;
	/**
	 * 교육종료일.
	 */
	private String eddate;
	/**
	 * 교육기간.
	 */
	private String eduTerm;
	/**
	 * 교육과정.
	 */
	private String eduCourse;
	/**
	 * 교육과정 명칭.
	 */
	private String eduCourseStr;
	/**
	 * 교육기관.
	 */
	private String eduPlace;
	/**
	 * 사용자ID.
	 */
	private String userId;
	/**
	 * 소속1.
	 */
	private String place1;
	/**
	 * 소속2.
	 */
	private String place2;
	/**
	 * 최종학력.
	 */
	private String scholarship;
	/**
	 * 최종학력 명칭.
	 */
	private String scholarshipStr;
	/**
	 * 계급.
	 */
	private String position;
	/**
	 * 계급 명칭.
	 */
	private String positionStr;
	/**
	 * 직별.
	 */
	private String jobtype;
	/**
	 * 경찰임용일.
	 */
	private String sdate;
	/**
	 * 현계급임용일.
	 */
	private String pdate;
	/**
	 * 현부서배치일.
	 */
	private String adate;
	/**
	 * 비고.
	 */
	private String comment;
	/**
	 * 신규등록일.
	 */
	private Date regdate;
	/**
	 * 최종수정일.
	 */
	private Date logdate;
	/**
	 * 작성자.
	 */
	private String writer;
	/**
	 * 생년월일.
	 */
	private String birth;

	/**
	 * @return the idx
	 */
	public final int getIdx() {
		return idx;
	}

	/**
	 * @param idx
	 *            the idx to set
	 */
	public final void setIdx(final int idx) {
		this.idx = idx;
	}

	/**
	 * @return the name
	 */
	public final String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public final void setName(final String name) {
		this.name = name;
	}

	/**
	 * @return the stdate
	 */
	public final String getStdate() {
		return stdate;
	}

	/**
	 * @param stdate
	 *            the stdate to set
	 */
	public final void setStdate(final String stdate) {
		this.stdate = stdate;
		this.setEduTerm();
	}

	/**
	 * @return the eddate
	 */
	public final String getEddate() {
		return eddate;
	}

	/**
	 * @param eddate
	 *            the eddate to set
	 */
	public final void setEddate(final String eddate) {
		this.eddate = eddate;
		this.setEduTerm();
	}

	/**
	 * @return the eduTerm
	 */
	public final String getEduTerm() {
		return eduTerm;
	}

	/**
	 * 교육기간 문자열을 설정한다.
	 */
	public final void setEduTerm() {
		this.eduTerm = this.stdate + " ~ " + this.eddate;
	}

	/**
	 * @return the eduCourse
	 */
	public final String getEduCourse() {
		return eduCourse;
	}

	/**
	 * @param eduCourse
	 *            the eduCourse to set
	 */
	public final void setEduCourse(final String eduCourse) {
		this.eduCourse = eduCourse;
	}

	/**
	 * @return the eduCourseStr
	 */
	public final String getEduCourseStr() {
		return eduCourseStr;
	}

	/**
	 * @param eduCourseStr
	 *            the eduCourseStr to set
	 */
	public final void setEduCourseStr(final String eduCourseStr) {
		this.eduCourseStr = eduCourseStr;
	}

	/**
	 * @return the eduPlace
	 */
	public final String getEduPlace() {
		return eduPlace;
	}

	/**
	 * @param eduPlace
	 *            the eduPlace to set
	 */
	public final void setEduPlace(final String eduPlace) {
		this.eduPlace = eduPlace;
	}

	/**
	 * @return the userId
	 */
	public final String getUserId() {
		return userId;
	}

	/**
	 * @param userId
	 *            the userId to set
	 */
	public final void setUserId(final String userId) {
		this.userId = userId;
	}

	/**
	 * @return the place1
	 */
	public final String getPlace1() {
		return place1;
	}

	/**
	 * @param place1
	 *            the place1 to set
	 */
	public final void setPlace1(final String place1) {
		this.place1 = place1;
	}

	/**
	 * @return the place2
	 */
	public final String getPlace2() {
		return place2;
	}

	/**
	 * @param place2
	 *            the place2 to set
	 */
	public final void setPlace2(final String place2) {
		this.place2 = place2;
	}

	/**
	 * @return the scholarship
	 */
	public final String getScholarship() {
		return scholarship;
	}

	/**
	 * @param scholarship
	 *            the scholarship to set
	 */
	public final void setScholarship(final String scholarship) {
		this.scholarship = scholarship;
	}

	/**
	 * @return the scholarshipStr
	 */
	public final String getScholarshipStr() {
		return scholarshipStr;
	}

	/**
	 * @param scholarshipStr
	 *            the scholarshipStr to set
	 */
	public final void setScholarshipStr(final String scholarshipStr) {
		this.scholarshipStr = scholarshipStr;
	}

	/**
	 * @return the position
	 */
	public final String getPosition() {
		return position;
	}

	/**
	 * @param position
	 *            the position to set
	 */
	public final void setPosition(final String position) {
		this.position = position;
	}

	/**
	 * @return the positionStr
	 */
	public final String getPositionStr() {
		return positionStr;
	}

	/**
	 * @param positionStr
	 *            the positionStr to set
	 */
	public final void setPositionStr(final String positionStr) {
		this.positionStr = positionStr;
	}

	/**
	 * @return the jobtype
	 */
	public final String getJobtype() {
		return jobtype;
	}

	/**
	 * @param jobtype
	 *            the jobtype to set
	 */
	public final void setJobtype(final String jobtype) {
		this.jobtype = jobtype;
	}

	/**
	 * @return the sdate
	 */
	public final String getSdate() {
		return sdate;
	}

	/**
	 * @param sdate
	 *            the sdate to set
	 */
	public final void setSdate(final String sdate) {
		this.sdate = sdate;
	}

	/**
	 * @return the pdate
	 */
	public final String getPdate() {
		return pdate;
	}

	/**
	 * @param pdate
	 *            the pdate to set
	 */
	public final void setPdate(final String pdate) {
		this.pdate = pdate;
	}

	/**
	 * @return the adate
	 */
	public final String getAdate() {
		return adate;
	}

	/**
	 * @param adate
	 *            the adate to set
	 */
	public final void setAdate(final String adate) {
		this.adate = adate;
	}

	/**
	 * @return the comment
	 */
	public final String getComment() {
		return comment;
	}

	/**
	 * @param comment
	 *            the comment to set
	 */
	public final void setComment(final String comment) {
		this.comment = comment;
	}

	/**
	 * @return the regdate
	 */
	public final Date getRegdate() {
		return regdate;
	}

	/**
	 * @param regdate
	 *            the regdate to set
	 */
	public final void setRegdate(final Date regdate) {
		this.regdate = regdate;
	}

	/**
	 * @return the logdate
	 */
	public final Date getLogdate() {
		return logdate;
	}

	/**
	 * @param logdate
	 *            the logdate to set
	 */
	public final void setLogdate(final Date logdate) {
		this.logdate = logdate;
	}

	/**
	 * @return the writer
	 */
	public final String getWriter() {
		return writer;
	}

	/**
	 * @param writer
	 *            the writer to set
	 */
	public final void setWriter(final String writer) {
		this.writer = writer;
	}

	/**
	 * @return the birth
	 */
	public final String getBirth() {
		return birth;
	}

	/**
	 * @param birth
	 *            the birth to set
	 */
	public final void setBirth(final String birth) {
		this.birth = birth;
	}
}
